{% extends 'template.html' %}
{% block extracss %}
    <!-- Datatables -->
    <link href="/static/css/dataTables.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/buttons.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/fixedHeader.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/responsive.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/scroller.bootstrap.min.css" rel="stylesheet">
    {% block extrahead_list %}

    {% endblock %}
{% endblock %}
{% block cuerpo %} 
<style>
    .ancho-columna{
        width: 30%;
    }
    </style>
<div class="x_panel">
    <div class="x_title">
      <h2>CONTROL DE PROYECTOS SEGUN MEMORANDUM <small>GESTION {{ request.session.gestion }} </small></h2>
      <ul class="nav navbar-right panel_toolbox">
        <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
        </li>
        <li class="dropdown">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
          <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
              <a class="dropdown-item" href="#">Settings 1</a>
              <a class="dropdown-item" href="#">Settings 2</a>
            </div>
        </li>
        <li><a class="close-link"><i class="fa fa-close"></i></a>
        </li>
      </ul>
      <div class="clearfix"></div>
    </div>
    <div class="x_content">
        <table  id="datatable-responsive"
        class="table table-striped table-bordered table condensed table-hover table-responsive dataTable no-footer"
        cellspacing="0" width="100%">
            <thead>
                <tr>
                <th rowspan="2" width="1%">ID</th>
                <th rowspan="2">NOMBRES</th>
                <th rowspan="2" class="ancho-columna">PROYECTO</th>
                <th rowspan="2">TIPO DE ASIGNACION</th>
                <th rowspan="2">ACT</th>
                <th colspan="3">MEMO SUPERVISOR</th>
                <th colspan="3">MEMO AUDITOR</th>
                </tr>
                <tr>
                <th width="1%">Nº</th>
                <th>FECHA</th>
                <th>TIEMPO</th>
                <th width="1%">Nº</th>
                <th>FECHA</th>
                <th>TIEMPO</th>
                </tr>
            </thead>
            <tbody>
                {% for asignacion in object_list %}
                <tr>
                    <td width="1%">{{ asignacion.id }}</td>
                    <td width="1%">{{ asignacion.personal.tipoauditor.nombre_tipoauditor }}</td>
                    <td class="ancho-columna">{{ asignacion.proyecto.nombre_proyecto }}</td>
                    <td width="1%">{{ asignacion.tipoasignacion.nombre_tipo }}</td>                    
                    <td width="1%">{{ asignacion.proyecto.tipo }}</td>
                    <td width="1%">{{ asignacion.numero_memorandum_supervisor }}</td>
                    <td width="1%">{{ asignacion.fecha_memorandum_supervisor|date:"d/m/Y" }}</td>
                    <td width="1%">{{ asignacion.plazo_supervisor_memo }} dias</td>
                    <td width="1%">{{ asignacion.nro_memorandum }}</td>
                    <td width="1%">{{ asignacion.fecha_memorandum|date:"d/m/Y" }}</td>
                    <td width="1%">{{ asignacion.plazo }} dias</td>
                </tr>
                {% endfor %}               
            </tbody>    
        </table>
        {% if request.user.is_superuser %}    
        <a href="#" class="btn btn-success" data-toggle="modal" data-target=".bs-example-modal-lg"><i class="fa fa-print"></i> Vista previa del reporte</a>
        {% else %}
        <a href='/supervisor/resumenanual/?gestion={{ request.session.gestion }}&supervisor_id={{ supervisor_id }}' class="btn btn-success btnTest"><i
            class="fa fa-refresh"></i> Reporte resumen del trabajo por etapa/auditor</a>        
        {% endif %}
       
    </div>
</div> 
 <!---------------- MODAL PARA BUSCAR   ------------------------->
 <div class="modal fade bs-example-modal-lg" id="bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">    
          <div class="modal-header">
            <h4 class="modal-title" id="myModalLabel">Seleccionar auditor</h4>
            <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">
            <table  id="datatable-responsive"
                    class="table table-striped table-bordered table condensed table-hover table-responsive"
                    cellspacing="0" width="100%">
              <thead width="100%">
                <th width="10%">ID</th>
                <th width="80%">AUDITOR</th>               
                <th width="10%"></th>
              </thead>
              <tbody width="100%">
                {% for auditor in auditores %}
                <tr>
                    <td width="10%">{{ auditor.id }}</td>
                    <td width="80%">{{ auditor.nombre }} {{ auditor.a_paterno }} {{ auditor.a_materno }}</td>                    
                    <td width="10%"><a href="/supervisor/resumenanual/?gestion={{ request.session.gestion }}&supervisor_id={{ auditor.id }}" class="btn btn-success btn-xs"><i class="fa fa-print"></i> Imprimir</a></td>
                </tr>
                {% endfor %}               
              </tbody>    
            </table>   
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
          </div>

        </div>
      </div>
    </div> 
<!---------------- MODAL PARA BUSCAR   ------------------------->

{% endblock %}
{% block extrajs %}
    <!-- Datatables -->
    <script src="/static/js/jquery.dataTables.min.js"></script>
    <script src="/static/js/dataTables.bootstrap.min.js"></script>
    <script src="/static/js/dataTables.buttons.min.js"></script>
    <script src="/static/js/buttons.bootstrap.min.js"></script>
    <script src="/static/js/buttons.flash.min.js"></script>
    <script src="/static/js/buttons.html5.min.js"></script>
    <script src="/static/js/buttons.print.min.js"></script>
    <script src="/static/js/dataTables.fixedHeader.min.js"></script>
    <script src="/static/js/dataTables.keyTable.min.js"></script>
    <script src="/static/js/dataTables.responsive.min.js"></script>
    <script src="/static/js/responsive.bootstrap.js"></script>
    <script src="/static/js/dataTables.scroller.min.js"></script>
    <script src="/static/js/jszip.min.js"></script>
    <script src="/static/js/pdfmake.min.js"></script>
    <script src="/static/js/vfs_fonts.js"></script>
    <script>
        $(function () {
            $('#datatable-responsive').DataTable({
                "destroy": true,
                "scrollX": true,
                "language": {
                    "sSearch": "Buscar",
                    "oPaginate": {
                      "sFirst": "Primero",
                      "sLast": "Último",
                      "sNext": "Siguiente",
                      "sPrevious": "Anterior"
                    },
                    "lengthMenu": "Mostrar _MENU_ registros",
                    "sInfo": "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
                }
            });
         });
    </script>  
{% endblock %}